#ifndef CLOCKWIDGET_H
#define CLOCKWIDGET_H

#include <QCoreApplication>
#include <QLCDNumber>
#include <QTime>

class QTimerEvent;

class ClockWidget : public QLCDNumber
{
    Q_OBJECT

public:
    ClockWidget(QWidget *parent = 0);

protected:
    void timerEvent(QTimerEvent *);

private:
    int     updateTimer, switchTimer;
    bool    showClock;

    //Avoid Assignment-/Copy-Constructor
    ClockWidget(const ClockWidget&);
    ClockWidget& operator=(const ClockWidget&);
};

#endif // CLOCKWIDGET_H
