/*
 * container_widget.h
 *  Last Changes: 10.06.2016
 *  Author: manitoo  Qt/C++ Coding
 */


#ifndef CONTAINER_WIDGET_H
#define CONTAINER_WIDGET_H


#include "gl_widget.h"
#include "clockwidget.h"

class Container_Widget : public QWidget
{

    Q_OBJECT

public:
    Container_Widget(QWidget *parent = 0, GLbyte Resolution = 100);
    ~Container_Widget();

    ClockWidget *clock_widget;
    GL_Widget   *gl_widget;
    QTextEdit   *textedit;

private:
    //Avoid Default-Assignment-/Copy-Constructor
    Container_Widget();
    Container_Widget(const Container_Widget&);
    Container_Widget& operator=(const Container_Widget&);
};

#endif // CONTAINER_WIDGET_H
