/*
 * main.cpp
 *  Math. Code Reference: Marching Cubes C-Algorithmus by Paul Bourke
 *  Last Changes: 10.06.2016
 *  Author: manitoo , Qt/GUI/C++  Subclassing QGLWidget , GLSL Shading
 */

#include <QApplication>

#include "mainwindow.h"

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    app.setFont(QFont("Palatino", 12, QFont::Bold));

    MainWindow mainwindow(0,/* Resolution <= 101 */101);
    mainwindow.setWindowTitle("[  Marching Cubes | Cube/Tetrahedron - Algorithm | Math-Level-Sets  ]");

    //Geometry (Resolution)
    mainwindow.setGeometry(20,40,2500,1320);
    mainwindow.show();

    //Event Loop
    return app.exec();
}
