/*
 * mainwindow.h
 *  Last Changes: 10.06.2016
 *  Author: manitoo  Qt/C++ Coding
 */


#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QStatusBar>
#include <QLabel>

#include "container_widget.h"

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0, short Resolution = 101);
    ~MainWindow();

private:
    void update_statusBar(void);

    Container_Widget    *cnt_widget;
    QLabel              *statuslabel;

    //Avoid Default-Assigment-/Copy-Constructor
    MainWindow();
    MainWindow(const MainWindow&);
    MainWindow& operator=(const MainWindow&);
};

#endif // MAINWINDOW_H
